#include "CopyWindow.h"
#include <Application.h>
#include <stdio.h>
#include <stdlib.h>

const BRect WindowFrame (200,200,290,220);
const BRect rButtonFrame (0, 2, 40, 22);
const BRect wButtonFrame (50, 2, 90, 22);

const char* WindowName = "Crude";
const char* rButtonName = "Read";
const char* wButtonName = "Write";

CopyWindow::CopyWindow() :
	BWindow(WindowFrame, WindowName,
			B_TITLED_WINDOW,
			B_WILL_DRAW | B_NOT_RESIZABLE | B_NOT_ZOOMABLE,
			B_ALL_WORKSPACES
			)
{
	readButton = new BButton(rButtonFrame, rButtonName, rButtonName,
					new BMessage(READ_BUTTON_MSG));
	AddChild(readButton);

	writeButton = new BButton(wButtonFrame, wButtonName, wButtonName,
					new BMessage(WRITE_BUTTON_MSG));
	AddChild(writeButton);
}


bool
CopyWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return BWindow::QuitRequested();
}

void
CopyWindow::MessageReceived(BMessage* message)
{
	switch(message->what)
	{
		case READ_BUTTON_MSG:
			writeButton->SetEnabled(false);
			readButton->SetEnabled(false);
			system("dd if=/dev/disk/floppy/raw of=floppy.img");
			readButton->SetEnabled(true);
			writeButton->SetEnabled(true);
		break;
		case WRITE_BUTTON_MSG:
			readButton->SetEnabled(false);
			writeButton->SetEnabled(false);
			system("dd if=floppy.img of=/dev/disk/floppy/raw");
			writeButton->SetEnabled(true);
			readButton->SetEnabled(true);
		break;
		default:
			BWindow::MessageReceived(message);
	}
}


